Package org.apache.sling.event.impl.jobs.console

# Class WebConsolePlugin

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.event.impl.jobs.console.WebConsolePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `org.apache.sling.event.jobs.consumer.JobConsumer`

public class WebConsolePlugin extends javax.servlet.http.HttpServlet implements org.apache.sling.event.jobs.consumer.JobConsumer
This is a web console plugin displaying the active queues, some statistics and the configurations.

Since:
  3.0
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`org.apache.sling.event.jobs.consumer.JobConsumer.AsyncHandler, org.apache.sling.event.jobs.consumer.JobConsumer.JobResult`

## Field Summary

### Fields inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`PROPERTY_JOB_ASYNC_HANDLER, PROPERTY_TOPICS`

## Constructor Summary

Constructors
Constructor
Description
`WebConsolePlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void`
`doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`org.apache.sling.event.jobs.consumer.JobConsumer.JobResult`
`process(org.apache.sling.event.jobs.Job job)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebConsolePlugin

public WebConsolePlugin()

## Method Details

### doPost

protected void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws javax.servlet.ServletException, IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### process

public org.apache.sling.event.jobs.consumer.JobConsumer.JobResult process(org.apache.sling.event.jobs.Job job)

Specified by:
  `process` in interface `org.apache.sling.event.jobs.consumer.JobConsumer`